Profile Manager

Profile Manager is a tool that enables you to create and edit the profiles that you will use when encoding content. Profiles contain numerous properties that determine the amount of compression to apply to content, the connection speed of the intended audience, desired frame rate, and so on. Encapsulating all of this information into a profile simplifies the process of setting up an encoding session.

The profiles you create are called custom profiles. You can edit and delete them. Custom profiles are saved as individual files with .prx file name extensions in the \Program Files\Windows media components\Encoder\Profiles directory. You can reuse custom profiles on multiple computers running Windows Media Encoder by copying the .prx files to the same directory on the other computers.

The profiles that are installed with Windows Media Encoder are called system profiles. System profiles cannot be changed or deleted, but you can copy a system profile and then edit it according to your needs. Copying the system profile creates a custom profile.

© 2000-2001 Microsoft Corporation. All rights reserved.


Viewing the list of profiles

A profile contains all of the technical details required to encode multimedia content. It describes the type of content being encoded, desired audio and video quality, target bandwidths for clients playing the content, and required codecs. Using profiles eliminates the need for you to choose individual settings, enables you to proceed quickly to encoding, and enables you to reuse the same settings in subsequent encoding sessions. Many predefined system profiles are provided that address most encoding scenarios. You can also create your own custom profiles.

This page displays the full list of system profiles and any custom profiles you might have created. A green icon indicates system profiles; a red icon indicates custom profiles. You can create a new profile, edit or delete custom profiles, or copy a profile's characteristics and then edit it.

Click Details to view technical details about a profile.

When using several computers for encoding, you do not have to re-create custom profiles on each of them. Instead, create the custom profiles once, make sure that each computer has the devices and codecs required by the custom profiles, and then copy the profiles to each of the encoding computers. Custom profiles are stored in \Program files\Windows media components\Encoder\Profiles and have a .prx extension.

Note Session profiles are not included in this list. They are automatically saved as part of the Windows Media Encoder configuration file with a .wme extension when you create an encoding session configuration and cannot be viewed, edited, or deleted.


Adding general profile information

Type a name for the profile. The name should be representative of the profile’s function. Include the intended bandwidth (for example, 28.8 modem) and the source type (for example, audio only) that the profile supports. Do not include an asterisk (*) when naming the profile.

Select the source types you want this profile to support. By default, Audio is always selected and cannot be cleared. If you select Scripts as a source type, you can insert a URL or caption into a stream while encoding.

Note Each source type you select consumes part of the bandwidth used when you encode. Be sure to select only the source types that you need.

Select the type of compression you want to apply to your content. Uncompressed is the highest level of quality, which is best to use when archiving or encoding content to a file. You cannot select Uncompressed for screen capture profiles.

Typing a description is optional. If you provide a description, it is displayed when a profile is selected and can give the recommended usage for the selected profile.


Selecting an audience for video streams

The audiences provided in the list support common network settings. The Media Bit Rate is the amount of bandwidth consumed by your content; the Effective Bit Rate is the Media Bit Rate plus estimated stream overhead, which is calculated to allow for additional network traffic when content is being streamed. Select the target audiences that you want to support. You can select one or more audiences for each profile. Selecting multiple audiences creates a multiple bit rate profile.

If the stream will be a unicast transmission by a server running Microsoft Windows Media Services, using a multiple-bit-rate profile provides users with better quality content during times of network congestion. When you use a multiple-bit-rate profile, your video content is encoded at each bit rate that is in the profile. When Microsoft Windows Media Player receives a multiple-bit-rate stream, only the video stream that is the most appropriate for current network conditions plays. The Windows Media server and Windows Media Player handle the process of selecting the appropriate stream, which is invisible to the user.

The more bit rates you select, the larger the aggregate bandwidth requirement for live stream distribution from the encoder to a Windows Media server. To estimate the aggregate bandwidth of a multiple-bit-rate profile, calculate the sum of each video bit rate in the profile, the audio bit rate, and the script bit rate (if the profile contains scripts). Only a single audio stream is encoded for all of the video streams.

A single-bit-rate profile has a lower processor requirement and requires less storage space. Selecting one bit rate is best suited for:

  • Network environments that have constant available bandwidth
  • Content that is hosted on a Web server
  • Content that will be played back locally
  • Content that will be distributed through multicast transmission from a Windows Media server

You can edit or delete any audience in the list, or create a custom audience. When assigning the bit rate for your custom audience, consider the additional traffic that must pass over the network.

Note If you change the audience settings during your current encoding session, save the profile and the session and then restart the encoder to make sure that your changes take effect.

Related Topics

  • Understanding bandwidth and bit rate


Understanding bandwidth and bit rate

Bit rate is the speed at which binary content is streamed on a network. Bandwidth is the bit rate capacity of a digital communications system, such as the Internet or a local area network. Bit rate and bandwidth are similar concepts except that bandwidth refers to the entire network transfer capability (both the amount available for streaming content plus the amount consumed by other network traffic), whereas bit rate refers to an actual transfer rate. Both bit rate and bandwidth are expressed in the number of bits transferred in a second: kilobits per second (Kbps). High bandwidth refers to a network capable of a fast data transfer rate. For example, in a 28.8 Kbps network connection, it is typical to achieve a bit rate of only 22 Kbps as a result of other network traffic.

Intranets can handle streaming content at a much higher bandwidth than on the Internet. In an intranet environment, either the network administrator or the overall network bandwidth limits the bandwidth available for streaming. The network administrator can set the Windows Media server to restrict the amount of data being streamed. This restriction keeps the server from streaming so much data that it slows down the overall data flow on the network during periods of high use. If the network administrator does not set a limit on the amount of information that a Windows Media server can stream, the network bandwidth is the limiting factor for content delivery. Content cannot stream at a higher bandwidth than the network connection supports.

Before you begin creating Windows Media-based content, consider both your audience and their expected bandwidth. For example, are you targeting modem users at dial-up speeds, a corporate local area network, broadband, or some combination of these? Your answers determine how much bandwidth is required to serve your audience’s needs.

Related Topics

  • Selecting an audience for video streams


Selecting audio and video codecs

Select the compression algorithms (codecs) that you want to apply to your audio and video content and specify a bandwidth for the annotation stream.

  • Audio codec. Select the audio codec. By default, Microsoft Windows Media Audio codec 8 is selected because, in most cases, it produces the best sound quality. However, if you are creating a low-bandwidth stream (less than 20 Kbps) that has voice-only audio content, you may obtain better results by using the low-bitrate Sipro Labs ACELP codec. If you are creating an uncompressed profile, Pulse Code Modulation (PCM) is the only option available. PCM is used to capture high-quality audio, but results in large file sizes.
  • Audio format. Select the quality level that you want to apply to the audio stream. A higher sample rate yields higher-quality audio, but requires more bandwidth. Ideally, you want to achieve the right balance between bit rate and sampling rate. Remember that the audio stream must share the available network bandwidth with any video or script streams.
  • Video codec. Select the video codec. For most encoding scenarios, you should use the Microsoft Windows Media Video 8 codec. If you are targeting an audience that uses Windows Media Player version 6.4, select the Microsoft Windows Media Video 7 codec. If you are encoding content produced by many consumer electronics devices, such as digital video cameras and cell phones, select ISO MPEG-4 video codec version 1.0. For capturing screens, select the Windows Media Screen codec.
  • Video size. This setting determines the size of the video window that users view in Windows Media Player. Select Same as source when capturing screens, which is only available if Microsoft Windows Media Screen codec is selected, to ensure that the size of the encoded screen matches the original. Quarter Common Interface Format (QCIF) and Common Interface Format (CIF) are predefined image standards that are supported by many codecs and video editing tools. CIF height and width are twice those of QCIF. The 160 x 120 and 320 x 240 options provide video sizes that are slightly smaller than QCIF and CIF, respectively. The slight decrease in size means that more bandwidth can be used for video frames and can improve quality in some scenarios. Use these options if video sharpness is more important than video size for your content. The 640 x 480 option provides the highest-quality video, but it also generates the largest bandwidth requirement. Use Custom to define a custom size. Video size should be between 32 and 1600.
  • Advanced. Click Advanced to set a variable compression buffer size. The variable compression buffer is the amount of time that content is stored before encoding begins. A larger buffer results in better quality content, but requires more memory. When you encode content, the encoding process will be delayed by the amount of time specified in the buffer. The content will be delayed by the same amount of time when loaded into Windows Media Player. When streaming a live event, the content played in Windows Media Player runs behind the live event by the amount of time that you specify in the variable compression buffer.
  • Scripts. Type the bit rate that you want to use for scripts. The script bit rate consumes a portion of the bandwidth shared with the audio and video streams. Valid bit rates are between 1000 and 9999.


Choosing the frame rate and video quality

Select settings for each video bit rate in the profile. Click the tabs at the bottom of the page to switch between video bit rates.

  • Frame rate. Set the number of frames per second for the video stream. The amount that you adjust this value depends on the speed of the computer’s processor and whether the computer is encoding high-motion or low-motion video. High-motion video generally looks smoother if you use a higher frame rate, but the more frames per second your computer is required to encode, the harder the processor must work. The setting you specify represents the maximum frames per second. Depending on factors such as the video quality setting and available bandwidth, the actual frames per second you achieve might be lower.
  • Key frame interval. Determine the number of seconds that you want to separate key frames. All frames between key frames are called delta frames. Delta frames contain only the part of the image that changed from the key frame. Delta frames are considerably smaller than key frames but their visual quality is poor. If you increase the time between key frames, the size of the video (in bytes) gets smaller because fewer key frames are used. If you decrease the time between key frames, more key frames are used and the size of the video (in bytes) gets larger. Increase the time between key frames for content, such as cartoons, with a static background. Decrease the key frame interval for high-motion content, such as a sporting event. The default setting is eight seconds for lower bandwidths and fewer seconds for higher bandwidths.
  • Video quality. To fine-tune the image quality, use the video quality slider. You can emphasize either smoothness or clarity of images. Video content is smooth when objects easily move from one position to another on the screen and the edges of objects are not jagged. Video content is clear when images and motion are well-defined and clearly delineated. As you increase the clarity, the video becomes less smooth. Keep in mind that increasing the clarity can affect the frames per second, depending on the video. For example, if your video has a lot of motion in it, increasing the clarity may decrease the frames per second.

Note If you make changes to these settings, encode and play the content to test its quality before delivering it to users.


Viewing the profile summary

This page lists the settings you have chosen for your profile. After reviewing the information, click Back to change any setting, or click Finish to create the profile and return to the Manage Profiles dialog box.


Working with source properties

Use this page to add new source groups to your encoding configuration, edit the properties of existing source groups, or remove source groups that you no longer need.

To add a new source group, click New. You will be prompted to name the group, select devices, and select the archive options for the group, which are only available for a live broadcast. You can select a different archive option for each source group. For example, you might want to set the archive option to Record for the main event, and then set it to Pause for an intermission source group.

To rearrange the order in which your source groups are displayed on the main window of the encoder, click Move Up or Move Down.

All source groups must use the same combination of source types (for example, video, audio, and script).


Managing sources

The Session Properties dialog box contains all of the settings that you chose when you ran the New Session Wizard, as well as some advanced settings that are only available from this dialog box. You can also create an encoding configuration from this dialog box, bypassing the New Session Wizard. This dialog box consists of six tabs, which are described below.

Sources. Use this tab to create, edit, and remove source groups.

Display Information. Use this tab to provide information about the content you are encoding, such as title, author, copyright, rating, and a description. This information is displayed when your content is played in Windows Media Player.

Attributes. Use this tab to create or edit attributes for your content. Attributes are name-value pairs that provide additional information about your content. For example, you might want to add the date that the content was edited, the name of your producer, and so on. Using the Windows Media Format 7.1 Software Development Kit (SDK), you can create search utilities that extract these attributes, for example, to populate a content database.

Profile. Displays the profile currently selected for this encoding configuration. Use this tab to launch Profile Manager so you can edit the currently selected custom profile or create a new one.

Output. Use this tab to select the distribution for your content. Choices include broadcasting using HTTP, encoding to a file, or both.

Advanced. Use this tab to apply time compression to your content. Using the time compression feature, you can speed up or slow down the content as it is encoded to decrease or increase the playback time. You can also define the size of the content packets that are streamed across the network. The Maximum Windows Media packet size is for single-bit-rate profiles only.


Editing display information

The information on this page is displayed in Windows Media Player when your encoded content is streamed or played on-demand.

Add or update the information as necessary. The more descriptive the information you provide, the more helpful it will be to the user. All entries are optional.


Specifying attributes

Attributes contain information about the content that you want to include in the encoded stream, which can be extracted by search utilities or other custom applications that are built upon the Windows Media Format SDK. Attributes can include creation date, source file, editor’s name, and so on.


Managing profiles

Select the profile that you want to use in the encoding session. A profile contains all of the technical details required to encode content, which includes supported source types, target audience, codecs, frame rate, and so on. The profiles that are available in the list depend on the type of encoding you plan to do, such as live broadcast, file conversion, or screen capture.

Click Edit to edit the currently selected custom profile.

Click Manage to launch Profile Manager and create a new profile or remove an existing one.

Select Show details to view the technical details about the profile, including the number and type of streams supported.


Distributing encoded content

Select the method in which you want to distribute your encoded content. You can broadcast it, encode it to a file, or both.

During a broadcast, a Windows Media server connects with the encoder through the HTTP protocol, which is based on TCP/IP. The HTTP protocol enables content to be streamed through firewalls. Click Find Free Port to select a port that is different port from the default. The Windows Media server and Windows Media Player will connect through the selected port to the URLs displayed.

Select Add index to file (to enable seeking within the file) if you want to enable users to seek specific portions of the content using the seek capabilities in Windows Media Player.

Note The Media Stream Broadcast Distribution (MSBD) protocol is no longer supported. If your Windows Media server is configured to use MSBD when connecting to the encoder, then reconfigure it to use HTTP.


Applying time compression

To use time compression, click On, and then click Properties. Move the slider to accelerate or decelerate the playback of the encoded stream. You can decelerate the content up to 50 percent and accelerate up to 250 percent. Adjusting the acceleration has no effect on the pitch of the audio stream.

Select Enable pause removal to detect and remove pauses in speech or action. Any segments that are removed are listed in a log file. Click Options to select the log file.

Other settings available on this page include:

  • DV audio. Used when encoding directly from a digital device. Enables you to specify the digital-audio recording mode, either 12- or 16-bit, which is used on your device. This setting must match the setting on your digital device or the quality of the encoded audio will be poor.
  • Identification name of this encoder. Differentiates encoders when you have multiple instances running on the same computer. An encoder name is assigned automatically, but you can edit the name if necessary.
  • Maximum Windows Media packet size. Specifies the size in bytes of User Datagram Protocol (UDP) packets that stream across the network. This setting should be used with single-bit-rate profiles only.


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, people and events depicted herein are fictitious and no association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2000-2001 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows Media, Windows NT, ActiveSync, ActiveX, Direct3D, DirectDraw, DirectInput, DirectMusic, DirectPlay, DirectShow, DirectSound, DirectX, FrontPage, JScript, Microsoft Press, MSN, NetShow, Outlook, PowerPoint, SQL Server, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, WebTV, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Glossary

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

B

bandwidth

The data transfer capacity of a digital communications system, such as the Internet or a LAN. Bandwidth is usually expressed in the number of bits that a system is capable of transferring in a second: bits per second (bps). High bandwidth or broadband refers to a network capable of a fast data transfer rate.

bit rate

The speed at which digital audio and video content is streamed from a source, such as a file, to be rendered properly by a player, or the speed at which binary content in general is streamed on a network. Bit rate is usually measured in kilobits per second (Kbps), for example, 28.8 Kbps. The bit rate of a Windows Media file or live stream is determined during the encoding process, when the streaming content is created. Bandwidth is the total bit rate capacity of a network. For audio and video content to render properly when streaming over a network, the bandwidth of the network must be high enough to accommodate the bit rates of all the different content that is concurrently being streamed.

C

CD quality

Audio that is encoded by using uncompressed PCM at 44.1 kHz and 16 bit stereo. A CD and an audio stream encoded at CD quality sound identical.

caption

Text that accompanies an image or video stream.

codec

Abbreviation for compressor/decompressor. An algorithm or scheme used when recording digital video or audio. A codec is used, for example, when video is transmitted over the Internet; the video is compressed on the sending end and decompressed on the receiving end. Users can select a codec based on the audio or image quality, and image size preferred.

compression

The coding of data to reduce file size or the bit rate of a stream. Content that has been compressed must be decompressed for playback. A codec contains the algorithms for compressing and decompressing audio and video.

content

Data that an encoder or server streams to a client or clients. Content can originate from live audio or live video presentation, stored audio or video files, still images, or slide shows. The content must be translated from its original state into a Windows Media format before a Windows Media server can stream it. Windows Media servers can stream live streams or stored Window Media files as content.

D

deinterlace

To combine two interlaced fields into a single frame and render them at 30 frames per second (fps). Deinterlacing is done to remove artifacts and improve the quality of encoded video.

delta frame

Frames that contain only the changes from the previous frame.

E

encode

To convert information into a specified digital format for convenient storage and retrieval by using computer technology, usually involving compression technology and encryption technology.

I

intelligent streaming

A type of streaming that detects network conditions and adjusts the properties of a video or audio stream to maximize quality. Intelligent streaming is only available for content encoded using a multiple bit rate profile.

interlace

To display video by using a half-resolution image known as a field. Interlaced video uses two video fields to make a single frame of video. Each field of video contains alternating lines of an image: field one displays the odd numbered lines and field two displays the even numbered lines. Interlacing saves bandwidth when the video is transmitted over the airways or on cable.

inverse telecine

The process that intelligently removes the frames that were added when 24 fps film was converted to 30 fps video.

ISO MPEG-4 video codec version 1.0

A type of codec based on the ISO MPEG-4 standard. It enables you to encode content produced by many consumer electronics devices, such as digital video cameras and cell phones.

L

looping

The process in which file-based content is played repeatedly until encoding is completed. Looping ensures that you have no interruption in the stream as a result of reaching the end of a file before completing a broadcast or capture session.

lossless compression

Data compression techniques in which no data is lost.

lossy compression

Refers to data compression techniques in which some amount of data is lost. Lossy compression technologies attempt to eliminate redundant or unnecessary information.

M

Media Stream Broadcast Distribution protocol

A protocol used to reference Windows Media Encoder, which is the source of a stream. Used when streaming from the Windows Media Station service to a content-storage server or for server-to-server distribution. Do not use the MSBD protocol over a firewall.

Microsoft MPEG-4 version 3 codec

A video codec included with Microsoft Windows Media Encoder version 4.0.

Microsoft Windows Media Audio 8 codec

A codec used to encode most audio streams. It is best used for Internet narrowband streaming and high-fidelity downloadable music.

Microsoft Windows Media Screen 7 codec

A codec that enables lossless streaming of computer screen images at data rates as low as 15 Kbps for on-demand training, software demos, and helpdesk applications. It is well suited for capturing screens in productivity applications, such as Microsoft Word, Excel, and Visual Studio. This screen capture codec is included with Windows Media Player 7.

Microsoft Windows Media Video 8 codec

A codec used to compress and decompress video. It compresses content more efficiently than version 7 of this codec, but has higher CPU performance requirements.

Microsoft Windows Media Video 7 codec

A codec used to compress and decompress video. It supports a wide variety of network bandwidths and enhances video quality for broadband Internet users. This codec is installed automatically with Windows Media Player 7 and has lower CPU performance requirements than the Windows Media Video 8 codec.

MSBD

See Media Stream Broadcast Distribution protocol

multicast

A one-to-many connection in which multiple clients can receive the same stream from a server. To receive a multicast, a client must have access to a multicast-enabled network. In contrast, a unicast is a one-to-one connection in which one client receives a distinct stream from a server.

multicast station

A defined location from which a player can receive streams. In effect, it is an IP address and a port. Windows Media server components use stations with Windows Media streams only and save station information as a Windows Media file with an .nsc extension.

multiple bit rate video

A feature of Windows Media Technologies that supports the creating and streaming of multiple encoded video streams within one Windows Media stream. By using multiple bit rate video in Windows Media Encoder, you can create Windows Media-based content that has a variety of video streams at variable bandwidths ranging from 28.8 Kbps through 300 Kbps, as well as a separate audio stream. After receiving this multiple encoded stream, the server determines which bandwidth to stream based on the network bandwidth available. Multiple bit rate video is not supported on generic HTTP servers.

N

National Television Standards Committee

The standards body that is responsible for setting television and video standards in the United States. The NTSC standard for television defines a composite video signal with a refresh rate of 60 half-frames (interlaced) per second. Each frame contains 525 lines and can contain 16 million different colors.

NTSC

See National Television Standards Committee

NTFS

An advanced file system designed for use specifically within the Windows 2000 operating system. It supports file system recovery, extremely large storage media, and long file names. It also supports object-oriented applications by treating all files as objects with user-defined and system-defined attributes.

P

PAL

See Phase Alternating Line

.prx

The file name extension that indicates a custom profile you have created by using Profile Manager. See also profile.

Phase Alternating Line

The dominant television standard in Europe. Whereas The NTSC, the U.S. standard, delivers 525 lines of resolution at 60 half-frames per second, PAL delivers 625 lines at 50 half-frames per second. See also NTSC.

pixel format

The color depth of an image, usually measured in RGB or YUV.

profile

A predefined group of settings that match content type and bit rate with appropriate audio and video codecs.

Profile Manager

A component of Windows Media Encoder that creates and edits the encoding profiles needed to identify the appropriate codec, the multimedia input streams, and the number and bit rate of the encoded output streams.

pulse code modulation

A sampling technique for digitizing analog signals, especially audio signals. When you encode audio by using PCM, no compression is applied.

R

RGB

A color model that describes color information in terms of the red (R), green (G), and blue (B) intensities that make up the color.

S

script

A caption, URL, or custom script command that is inserted into a stream during an encoding session. The caption is displayed on Windows Media Player during playback of the encoded content. The URL causes the browser to open to the specified Web page. The custom script command sends notification of an event, such as launching a Web page with an embedded player. See also caption.

Sipro Labs ACELP codec

A type of codec that provides excellent voice compression at low bit rates. This codec comes with several audio formats depending on the network bandwidth you choose.

source

The type of content that Windows Media Encoder can encode: audio, video, or script. Audio and video content is captured from a card installed on your computer or from a file that was converted to Windows Media Format. Scripts are typed directly from the encoder user interface during an encoding session.

source group

Audio, video, and scripts that are encoded into a stream and played in Windows Media Player.

stream

Data transmitted across a network and any properties associated with the data. Streaming data enables the player to begin rendering the data immediately instead of waiting for the entire file to be downloaded.

stream format file

A file used by Windows Media Player to decode a multicast Windows Media format stream. A stream format file includes information about the stream, the media that the stream contains, and its codec.

T

target bandwidths

The number of bits that are transferred to users based on the speed of their network connections.

telecine

The film-to-video conversion system that adds frames to video to compensate for the differences in frame rates between film and video. When converting 24 fps film to 30 fps NTSC video, an additional 6 frames per second are added.

time-to-live

In multicasting, a value that defines the number of routers through which a multicast can pass before a router stops forwarding the multicast.

TTL

See time-to-live

U

UDP

See User Datagram Protocol

unicast

A one-to-one client/server connection during which the client receives a distinct stream from the server. No other client has access to the stream. Each client has its own connection to the server and a separate content stream must be generated for each client requesting content from the server.

User Datagram Protocol

A communication protocol that sends a data unit or datagram from one computer to another. It does not sequence the packets that the data arrives in, but it does provide a checksum capability to verify that the data arrived intact.

W

.wme

The file name extension that identifies the Windows Media Encoder configuration file created when you set up an encoding session.

Windows Media file

A file created by Windows Media Technologies, which contains audio, video, or script data that is stored in Windows Media Format. It is highly optimized for streaming. This file can be streamed by Windows Media server and played by Windows Media Player.

Windows Media Format

The format used by Microsoft Windows Media Technologies (or a third party product that incorporates a licensed Windows Media technology) to author, store, edit, distribute, stream, or play timeline-based content.

Y

YUV

A color model that describes color information in terms of luminance (Y) and chrominance (U, V).


Windows Media Encoder glossary

This glossary defines terms used in the Windows Media Encoder. In addition to Windows Media Encoder terms, Microsoft Windows Media Technologies and other common industry terms are also defined.

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

You can also read glossary terms within the text of Help by clicking the underlined glossary term links. After you click a glossary link, the glossary term and definition appear in a pop-up window. To close the window, click anywhere on the screen.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z